import{s as it,f as st,n as lt,o as rt}from"../chunks/scheduler.37c15a92.js";import{S as ot,i as pt,g as l,s as a,r as G,A as ut,h as r,f as n,c as i,j as at,u as B,x as w,k as c,y as ct,a as s,v as U,d as W,t as D,w as J}from"../chunks/index.7cb9c9b8.js";import{H as K}from"../chunks/Heading.d3928e2a.js";function gt(N){let o,x,M,H,g,C,m,O="A task is an <strong>instance</strong> of a Reinforcement Learning problem. We can have two types of tasks: <strong>episodic</strong> and <strong>continuing</strong>.",P,f,y,h,Q="In this case, we have a starting point and an ending point <strong>(a terminal state). This creates an episode</strong>: a list of States, Actions, Rewards, and new States.",E,d,V="For instance, think about Super Mario Bros: an episode begin at the launch of a new Mario Level and ends <strong>when you’re killed or you reached the end of the level.</strong>",S,v,X='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/mario.jpg" alt="Mario"/> <figcaption>Beginning of a new episode.</figcaption>',b,_,j,k,Y="These are tasks that continue forever (<strong>no terminal state</strong>). In this case, the agent must <strong>learn how to choose the best actions and simultaneously interact with the environment.</strong>",I,$,Z="For instance, an agent that does automated stock trading. For this task, there is no starting point and terminal state. <strong>The agent keeps running until we decide to stop it.</strong>",z,p,tt,A,T,et="To recap:",F,u,nt,R,L,q;return g=new K({props:{title:"Type of tasks",local:"tasks",headingTag:"h1"}}),f=new K({props:{title:"Episodic task",local:"episodic-task",headingTag:"h2"}}),_=new K({props:{title:"Continuing tasks",local:"continuing-tasks",headingTag:"h2"}}),{c(){o=l("meta"),x=a(),M=l("p"),H=a(),G(g.$$.fragment),C=a(),m=l("p"),m.innerHTML=O,P=a(),G(f.$$.fragment),y=a(),h=l("p"),h.innerHTML=Q,E=a(),d=l("p"),d.innerHTML=V,S=a(),v=l("figure"),v.innerHTML=X,b=a(),G(_.$$.fragment),j=a(),k=l("p"),k.innerHTML=Y,I=a(),$=l("p"),$.innerHTML=Z,z=a(),p=l("img"),A=a(),T=l("p"),T.textContent=et,F=a(),u=l("img"),R=a(),L=l("p"),this.h()},l(t){const e=ut("svelte-u9bgzb",document.head);o=r(e,"META",{name:!0,content:!0}),e.forEach(n),x=i(t),M=r(t,"P",{}),at(M).forEach(n),H=i(t),B(g.$$.fragment,t),C=i(t),m=r(t,"P",{"data-svelte-h":!0}),w(m)!=="svelte-fnyfng"&&(m.innerHTML=O),P=i(t),B(f.$$.fragment,t),y=i(t),h=r(t,"P",{"data-svelte-h":!0}),w(h)!=="svelte-1h012q6"&&(h.innerHTML=Q),E=i(t),d=r(t,"P",{"data-svelte-h":!0}),w(d)!=="svelte-18xjntk"&&(d.innerHTML=V),S=i(t),v=r(t,"FIGURE",{"data-svelte-h":!0}),w(v)!=="svelte-17irmlf"&&(v.innerHTML=X),b=i(t),B(_.$$.fragment,t),j=i(t),k=r(t,"P",{"data-svelte-h":!0}),w(k)!=="svelte-c0vg6i"&&(k.innerHTML=Y),I=i(t),$=r(t,"P",{"data-svelte-h":!0}),w($)!=="svelte-rz44as"&&($.innerHTML=Z),z=i(t),p=r(t,"IMG",{src:!0,alt:!0,width:!0}),A=i(t),T=r(t,"P",{"data-svelte-h":!0}),w(T)!=="svelte-mz2ztc"&&(T.textContent=et),F=i(t),u=r(t,"IMG",{src:!0,alt:!0,width:!0}),R=i(t),L=r(t,"P",{}),at(L).forEach(n),this.h()},h(){c(o,"name","hf:doc:metadata"),c(o,"content",mt),st(p.src,tt="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/stock.jpg")||c(p,"src",tt),c(p,"alt","Stock Market"),c(p,"width","100%"),st(u.src,nt="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/tasks.jpg")||c(u,"src",nt),c(u,"alt","Tasks recap"),c(u,"width","100%")},m(t,e){ct(document.head,o),s(t,x,e),s(t,M,e),s(t,H,e),U(g,t,e),s(t,C,e),s(t,m,e),s(t,P,e),U(f,t,e),s(t,y,e),s(t,h,e),s(t,E,e),s(t,d,e),s(t,S,e),s(t,v,e),s(t,b,e),U(_,t,e),s(t,j,e),s(t,k,e),s(t,I,e),s(t,$,e),s(t,z,e),s(t,p,e),s(t,A,e),s(t,T,e),s(t,F,e),s(t,u,e),s(t,R,e),s(t,L,e),q=!0},p:lt,i(t){q||(W(g.$$.fragment,t),W(f.$$.fragment,t),W(_.$$.fragment,t),q=!0)},o(t){D(g.$$.fragment,t),D(f.$$.fragment,t),D(_.$$.fragment,t),q=!1},d(t){t&&(n(x),n(M),n(H),n(C),n(m),n(P),n(y),n(h),n(E),n(d),n(S),n(v),n(b),n(j),n(k),n(I),n($),n(z),n(p),n(A),n(T),n(F),n(u),n(R),n(L)),n(o),J(g,t),J(f,t),J(_,t)}}}const mt='{"title":"Type of tasks","local":"tasks","sections":[{"title":"Episodic task","local":"episodic-task","sections":[],"depth":2},{"title":"Continuing tasks","local":"continuing-tasks","sections":[],"depth":2}],"depth":1}';function ft(N){return rt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _t extends ot{constructor(o){super(),pt(this,o,ft,gt,it,{})}}export{_t as component};
